Summary: Web Site CReating and Editing EnvironMent for GNOME.
Name: screem
Version: 0.4.1
Release: fr3
License: GPL
Group: Development/Tools
Source: http://download.sourceforge.net/screem/%{name}-%{version}.tar.bz2
URL: http://www.screem.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gnome-libs >= 1.2.0, gdk-pixbuf >= 0.7, libglade >= 0.12
Requires: libxml >= 1.8.7
BuildRequires: guile-devel, gnome-libs-devel, libxml-devel, perl, libglade-devel

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintainance of websites and pages.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags} `libglade-config --cflags` `gdk-pixbuf-config --cflags`"

%install
rm -rf %{buildroot}
perl -pi -e 's|%{_datadir}|\$\(datadir\)|g' Makefile
%makeinstall Applicationsdir=%{buildroot}%{_datadir}/gnome/apps/Development

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/gnome/apps/Development/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/mc/templates/%{name}.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}

%changelog
* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the libxml dependency (was gnome-xml).

* Wed Apr 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.1.

* Wed Feb 28 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

